<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: funkcje_meczow.php
| Author: pekemon
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

// KOLORY
$kolor_wygrany = "#008000"; 
$kolor_remisu = "#0000FF"; 
$kolor_przegrany = "#FF0000";

// DANE DO FUNKCJI
$punkty_klanu_wynik_licz = 0;
$punkty_przeciwnika_wynik = 0;

// STAŁE PANELU
require_once INFUSIONS."eXtreme_warstats_mod_pekemon/podstawowe_stale.php";

$result = dbquery("SELECT warstats_opcje_ogolne_wynik_ile_to_wygrana FROM ".NAZWA_BAZY_DANYCH_OPCJE_OGOLNE."");
$data = dbarray($result);

$warstats_opcje_ogolne_wynik_ile_to_wygrana = $data['warstats_opcje_ogolne_wynik_ile_to_wygrana'];

if ($warstats_opcje_ogolne_wynik_ile_to_wygrana != '')
{
    $ile_ma_byc_by_bylo_rowno = $warstats_opcje_ogolne_wynik_ile_to_wygrana;
}
else
{
    // DAWAJ WYGRANĄ GDY TYLE PUNKTÓW
    $ile_ma_byc_by_bylo_rowno = 10;
}

// -------------------------------------------------------------------------------------------------------------------
// JEŚLI NA DANEJ MAPIE UZYSKA TYLE PUNKTOW '$ile_ma_byc_by_bylo_rowno' DAJE MU 1 PUNKT DO WYNIKU
// np. 
// zwieksz_jesli_rowna_sie($data['warstats_punkty11'], 10, $punkty_klanu_wynik_licz)
function zwieksz_jesli_rowna_sie($przekazane_dane_z_bazy_o_punktach, $ile_ma_byc_by_bylo_rowno, $przekaz_wynik_rownania)
{
	global $przekaz_wynik_rownania;
			
	if ($przekazane_dane_z_bazy_o_punktach == $ile_ma_byc_by_bylo_rowno)
	{
		$przekaz_wynik_rownania = $przekaz_wynik_rownania + 1;
	}
	else $przekaz_wynik_rownania = $przekaz_wynik_rownania + 0;
				
	return $przekaz_wynik_rownania;
}
// -------------------------------------------------------------------------------------------------------------------
// SPRAWDZA KTO WYGRAŁ I KOLORUJE WYNIK
// np.
// kto_wygral($data['warstats_punkty11'], $data['warstats_punkty12'], $data['warstats_mapa1']);
function kto_wygral($my, $oni, $grana_mapa)
{
	global $locale, $kolor3, $kolor_wygrany, $kolor_przegrany, $kolor_remisu, $wynik_funkcji;
		
	if($my > $oni)
	{
		$kolor3 = "$kolor_wygrany";
		$wynik_funkcji = "<b>".$grana_mapa."<font color=$kolor3> ( ".$my.":".$oni." )</font></b>";
	}
	elseif ($my < $oni)
	{
		$kolor3 = "$kolor_przegrany";
		$wynik_funkcji = "<b>".$grana_mapa."<font color=$kolor3> ( ".$my.":".$oni." )</font></b>";
	}
	elseif( $my == $oni && ( !empty($my) && !empty($oni) ) )
	{
		$kolor3 = "$kolor_remisu";
		$wynik_funkcji = "<b>".$grana_mapa."<font color=$kolor3> ( ".$my.":".$oni." )</font></b>";
	}			
	else
	{
		$wynik_funkcji = "".$locale['EWS302']."";
	}
				
	return $wynik_funkcji;
}
// -------------------------------------------------------------------------------------------------------------------
function ustaw_czas_lista($name_lista_godz, $name_lista_min, $option_lista_godz, $locale_tytul)
{
	global $locale, $name_lista_godz, $name_lista_min, $option_lista_godz, $locale_tytul;
	
	// GODZINY I MINUTU		
	if ($option_lista_godz && $option_lista_godz != "--:--")
	{	
		$godzina_podziel = explode(":", $option_lista_godz);
		
		$godziny_indeks = number_format($godzina_podziel['0']);
		$minuty_indeks = number_format($godzina_podziel['1']);			
	}
	else
	{
		$godziny_indeks = $minuty_indeks = -1;
	}
	
	// WYZEROWANIE LSTY na '--'
	$cala_lista_minuty = $cala_lista_godziny = '<option value="--">--</option>';

	// GODZINY INDEKS
	for($i=0; $i<=23; ++$i)
	{
		$cala_lista_godziny .= '
			<option value="'.$i.'"'
				.($i==$godziny_indeks
					? ' selected="selected"'
					: '')
				.'>'.$i.'</option>';
	}
	// MINUTY INDEKS
	for($i=0; $i<=59; ++$i)
	{
		$cala_lista_minuty .= '
			<option value="'.($i<10 ? '0' : '').$i.'"'
				.($i==$minuty_indeks
					? ' selected="selected"'
					: '')
				.'>'.($i<10 ? '0' : '').$i.'</option>';
	}

	echo "
	<tr>
	<td align='right'>&nbsp;</td>
	<td>&nbsp;</td>
	</tr>
	
	<tr>
	<td align='right'>".$locale_tytul."</td>
	<td>	
    &nbsp;<select class='textbox' name='".$name_lista_godz."'>".$cala_lista_godziny."
    </select>&nbsp;:&nbsp;
    <select class='textbox' name='".$name_lista_min."'>".$cala_lista_minuty."
    </select>	
	</td>
	</tr>
	";
}
?>