<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: extreme-fusion crew | modyfied by EuGeN | mod pekemon
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

// STAŁE PANELU
include INFUSIONS."eXtreme_warstats_mod_pekemon/podstawowe_stale.php";

// INFORMACJE
$inf_title = $locale['EWS_INF_NAME'];
$inf_description = $locale['EWS_INF_DESC'];
$inf_version = "1.5";
$inf_developer = "extreme-fusion crew | modyfied by EuGeN | mod pekemon";
$inf_email = "arti_3000_big@vp.pl";
$inf_weburl = "http://pekemon.cba.pl";

// KATALOG
$inf_folder = "eXtreme_warstats_mod_pekemon";

// ILE NOWYCH TABEL
$inf_newtables = 1;

// BAZA DANYCH - GŁÓWNA
$inf_newtable[1] = NAZWA_BAZY_DANYCH." (
warstats_id smallint(5) unsigned NOT NULL auto_increment,
warstats_tag_my varchar(50) NOT NULL default '',
warstats_kraj_my varchar(25) NOT NULL default '',
warstats_tag varchar(50) NOT NULL default '',
warstats_kraj varchar(25) NOT NULL default '',
warstats_adres varchar(200) NOT NULL default '',
warstats_xvsx varchar(4) NOT NULL default '',
warstats_xvsx2 varchar(4) NOT NULL default '',
warstats_data date NOT NULL default '0000-00-00',
warstats_godzina_start varchar(5) NOT NULL default '',
warstats_godzina_koniec varchar(5) NOT NULL default '',
warstats_serwer varchar(200) NOT NULL default '',
warstats_liga varchar(20) NOT NULL default '',
warstats_mecz_odbyl_sie varchar(3) NOT NULL default 'nie',
warstats_mapa1 varchar(30) NOT NULL default '',
warstats_punkty11 varchar(3) NOT NULL default '',
warstats_punkty12 varchar(3) NOT NULL default '',
warstats_screen11 varchar(200) NOT NULL default '',
warstats_screen12 varchar(200) NOT NULL default '',
warstats_mapa2 varchar(30) NOT NULL default '',
warstats_punkty21 varchar(3) NOT NULL default '',
warstats_punkty22 varchar(3) NOT NULL default '',
warstats_screen21 varchar(200) NOT NULL default '',
warstats_screen22 varchar(200) NOT NULL default '',
warstats_mapa3 varchar(30) NOT NULL default '',
warstats_punkty31 varchar(3) NOT NULL default '',
warstats_punkty32 varchar(3) NOT NULL default '',
warstats_screen31 varchar(200) NOT NULL default '',
warstats_screen32 varchar(200) NOT NULL default '',
warstats_mapa4 varchar(30) NOT NULL default '',
warstats_punkty41 varchar(3) NOT NULL default '',
warstats_punkty42 varchar(3) NOT NULL default '',
warstats_screen41 varchar(200) NOT NULL default '',
warstats_screen42 varchar(200) NOT NULL default '',
warstats_mapa5 varchar(30) NOT NULL default '',
warstats_punkty51 varchar(3) NOT NULL default '',
warstats_punkty52 varchar(3) NOT NULL default '',
warstats_screen51 varchar(200) NOT NULL default '',
warstats_screen52 varchar(200) NOT NULL default '',
warstats_mapa6 varchar(30) NOT NULL default '',
warstats_punkty61 varchar(3) NOT NULL default '',
warstats_punkty62 varchar(3) NOT NULL default '',
warstats_screen61 varchar(200) NOT NULL default '',
warstats_screen62 varchar(200) NOT NULL default '',
warstats_forumlink varchar(200) NOT NULL default '',
warstats_opis text NOT NULL default '',
warstats_opis2 text NOT NULL default '',
PRIMARY KEY (`warstats_id`)
) TYPE=MyISAM; ";

// USUNIĘCIE CALEJ BAZY
$inf_droptable[1] = NAZWA_BAZY_DANYCH;

// BAZA DANYCH OPCJE OGÓLNE "WARSTATS_OPCJE_OGOLNE"
$inf_newtable[2] = NAZWA_BAZY_DANYCH_OPCJE_OGOLNE." (
warstats_opcje_ogolne_id smallint(5) unsigned NOT NULL auto_increment,
warstats_opcje_ogolne_klan_moj varchar(50) NOT NULL default '',
warstats_opcje_ogolne_kraj_moj varchar(25) NOT NULL default '',
warstats_opcje_ogolne_wynik_ile_to_wygrana varchar(2) NOT NULL default '10',
PRIMARY KEY (`warstats_opcje_ogolne_id`)
) TYPE=MyISAM; ";

// USUNIECIE CALEJ BAZY "WARSTATS_OPCJE_OGOLNE"
$inf_droptable[2] = NAZWA_BAZY_DANYCH_OPCJE_OGOLNE;

// LINK DO PANELU ADMINISTRATORA
$inf_adminpanel[1] = array(
	"title" => $locale['EWS_INF_NAME'],
	"image" => "eXtreme_warstats_mod_pekemon.png",
	"panel" => "admin/eXtreme_warstats_admin_mod_pekemon.php",
	"rights" => "peke"
);

// LINK DO NAWIGACJI 1
$inf_sitelink[1] = array(
	"title" => $locale['EWS_INF_LINK'],
	"url" => "eXtreme_warstats_mod_pekemon.php",
	"visibility" => "0"
);

// LINK DO NAWIGACJI 2
$inf_sitelink[2] = array(
	"title" => $locale['EWS_INF_LINK2'],
	"url" => "eXtreme_warstats_2_mod_pekemon.php",
	"visibility" => "0"
);
?>