<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: eXtreme_warstats_admin_mod_pekemon.php
| Author: pekemon
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

// PLIKI FUSION'A
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";

// STAŁE PANELU
require_once INFUSIONS."eXtreme_warstats_mod_pekemon/podstawowe_stale.php";

// DODANIE BBCODE
require_once INCLUDES."bbcode_include.php";

// SPRAWDZENIE PRAW DOSTĘPU DO PANELU ADMINA
if (!checkrights("peke") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// OTWORZENIE TABELI
opentable($locale['EWS207E']);

// OPCJE WYBORU - LINKI
echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>";
echo "<tr>";
echo "<td align='center' width='20%' class='tbl1'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;akcja=1'>".$locale['EWS207']."</a></span></td>";
echo "<td align='center' width='20%' class='tbl1'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;akcja=2'>".$locale['EWS207A']."</a></span></td>";
echo "<td align='center' width='20%' class='tbl1'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;akcja=3'>".$locale['EWS207B']."</a></span></td>";
echo "<td align='center' width='20%' class='tbl1'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;akcja=4'>".$locale['EWS207C']."</a></span></td>";
echo "<td align='center' width='20%' class='tbl1'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;akcja=5'>".$locale['EWS207D']."</a></span></td>";
echo "</tr>";

// AKCJA JAKA MOŻE BYĆ WYBRANA
if (isset($_GET['akcja']) && $_GET['akcja']=="1")
{
    echo "<tr>";
    echo "<td colspan='8'>";
	// FUNKCJE
    require_once FUNKCJE_MECZOW;
    require_once AKCJA_ADMIN."dodaj.php";
	echo "</td>";
	echo "</tr>";
}
else if (isset($_GET['akcja']) && $_GET['akcja']=="2")
{
	echo "<tr>";
	echo "<td colspan='8'>";
	// FUNKCJE
    require_once FUNKCJE_MECZOW;
	require_once AKCJA_ADMIN."edytuj.php";
	echo "</td>";
	echo "</tr>";
}
else if (isset($_GET['akcja']) && $_GET['akcja']=="3")
{
	echo "<tr>";
	echo "<td colspan='8'>";
	// FUNKCJE
    require_once FUNKCJE_MECZOW;
	require_once AKCJA_ADMIN."usun.php";
	echo "</td>";
	echo "</tr>";
}
else if (isset($_GET['akcja']) && $_GET['akcja']=="4")
{
	echo "<tr>";
	echo "<td colspan='8'>";
	// FUNKCJE
    require_once FUNKCJE_MECZOW;
	require_once AKCJA_ADMIN."opcje.php";
	echo "</td>";
	echo "</tr>";
}
else if (isset($_GET['akcja']) && $_GET['akcja']=="5")
{
	echo "<tr>";
	echo "<td colspan='8'>";
	require_once AKCJA_ADMIN."informacje.php";
	echo "</td>";
	echo "</tr>";
}
else
{
	header("Location:".FUSION_SELF.$aidlink."&akcja=2");
}

echo "</table>\n";

// ZAMKNIĘCIE SZABLONU
require_once THEMES."templates/footer.php";
?>